Subject: Re: Touring UK

From: [email-masked]
Date: Wed, 20 Mar 1996 07:18:53 -0500

To All,
A quick Iron tour in the UK:
The Victoria and Albert Museum in London - The Iron Gallery will bring tears
to your eyes. There is also a lot of Iron in and around the museum other than
the gallery. Be prepared to spend some time if you want to see it all. There
is more stuff than you can imagine. Easy to find. Admission cheap.
Ironbridge Gorge Museums in Telford, NW of Birmingham. Birthplace of the
Industrial Revolution. More involved with the technology of early iron
making. They still make wrought iron there as a demo. Ask for a rivet from
Windsor castle if they have an interpreter in the iron mill. A lot of stuff,
many square miles, the Darby Furnace and his bridge. Whole site pass
available or individual site tickets.
British Museum, London - Worth the trip just to see the Sutton Hoo exhibit.
The Viking sword by (?) (sorry it's early) is fantastic. Lots of other stuff.
Harder to find.
Oxford or Cambridge - Great gates all over the place. Great pubs, too. I work
for a British company and when I am in the UK I stay in Cambridge.
London - Without the museums. Great ironwork everywhere.The Tower for armor.

Good touring,

Bill Hochella